Name:           libqtxdg-qt6
Summary:        QtXdg, a Qt6 implementation of XDG standards
Version:        4.0.0

Release:        2%{?dist}
License:        LGPL-2.0-or-later
URL:            https://lxqt-project.org
Source0:        https://github.com/lxqt/libqtxdg/archive/%{version}/libqtxdg-%{version}.tar.gz


BuildRequires:  gcc-c++
BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(Qt6Xml)
BuildRequires:  pkgconfig(Qt6DBus)
BuildRequires:  pkgconfig(Qt6Svg)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
# /src/xdgiconloader/xdgiconloader_p.h:55:10: fatal error: private/qicon_p.h: No such file or directory
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  file-devel
BuildRequires:  cmake(lxqt2-build-tools)
Requires:       xdg-user-dirs
Requires:       xdg-utils

%description
%{summary}.

%package devel
Summary:        Qt - development files for qtxdg
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Files used for developing and building software that uses qtxdg.


%prep
%autosetup -n libqtxdg-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS
%license COPYING
%{_libdir}/libQt6Xdg.so.4
%{_libdir}/libQt6Xdg.so.4.*
%{_libdir}/libQt6XdgIconLoader.so.4
%{_libdir}/libQt6XdgIconLoader.so.4.*
%{_sysconfdir}/xdg/lxqt-qtxdg.conf
%{_sysconfdir}/xdg/qtxdg.conf

%files devel
%{_libdir}/libQt6Xdg.so
%{_libdir}/libQt6XdgIconLoader.so
%{_libdir}/pkgconfig/Qt6Xdg.pc
%{_libdir}/pkgconfig/Qt6XdgIconLoader.pc
%{_includedir}/qt6xdg/
%{_includedir}/qt6xdgiconloader/
%{_datadir}/cmake/qt6xdg/
%{_datadir}/cmake/qt6xdgiconloader/
%{_qt6_archdatadir}/plugins/iconengines/libQt6XdgIconPlugin.so

%changelog
* Sat May 04 2024 Steve Cossette <farchord@gmail.com> - 4.0.0-2
- Rebuild for Qt6 6.7

* Wed Apr 17 2024 Steve Cossette <farchord@gmail.com> - 4.0.0-1
- 4.0.0
